import org.gradle.util.VersionNumber

plugins {
    id 'com.android.library'
}

apply plugin: 'kotlin-android'

android {
    namespace "com.tencent.qcloud.tuikit.tuichat"
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()
        targetSdk libs.versions.targetSdk.get().toInteger()
        resConfigs "zh", "en", "in"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
        ndk {
            abiFilters "armeabi-v7a"
            abiFilters "arm64-v8a"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.majorVersion
    }

    sourceSets {
        main {
            res.srcDirs += "src/main/res-minimalistui"
            res.srcDirs += "src/main/res-light"
            res.srcDirs += "src/main/res-lively"
            res.srcDirs += "src/main/res-serious"
        }
    }
}

dependencies {
    /*plugin-build-Begin

    compileOnly fileTree(include: ['*.jar','*.aar'], dir: '../../../../tuikit/android/libs')

    plugin-build-End*/
    api project(':timcommon')

    implementation libs.androidx.appcompat
    implementation libs.android.material

    implementation libs.androidx.viewpager2
    implementation libs.androidx.datastore
    implementation libs.androidx.datastore.rxjava
    implementation libs.rxandroid

    implementation libs.glide
    implementation libs.gson

    annotationProcessor libs.auto.service
}